Hello Christian,

this is known and fixed (https://github.com/galaxyproject/tools-iuc/pull/310
),
but the toolshed needs to be updated. I am thinking that this is not the
only problem
we currently have with cairo.
I am working on the cairo issues right now and I'll give an update once the
things work out,
plus a brand new package_r_3_2_2_cairo, that will hopefully fix your issues.

Best,
Marius

On 9 October 2015 at 14:15, Christian Brenninkmeijer <
christian.brenninkmei...@manchester.ac.uk> wrote:

> The cairo package in the testtool shed appears to have become corrupted.
>
> If you try to download
>
> https://testtoolshed.g2.bx.psu.edu/view/iuc/package_cairo_1_14_2/9fe5875b0ede
> or any tool that depends on that.
> The first page looks fine.
> The second pages as an extra dependency
> iuc/1.6.7
>
> This because the encoded version return to create that second page
> includes this for some reason.
> Reported to bugs as well.
>
> Christian
> ________________________________________
> From: Björn Grüning [bjoern.gruen...@gmail.com]
> Sent: Tuesday, October 06, 2015 3:28 PM
> To: Christian Brenninkmeijer; Björn Grüning;
> galaxy-dev@lists.galaxyproject.org; Dave Bouvier
> Subject: Re: [galaxy-dev] Installing Cairo into Gakaxy
>
> Hi,
>
> Am 06.10.2015 um 15:48 schrieb Christian Brenninkmeijer:
> > HI Bjorn,
> >
> > I now see you are bringing in libmxl2 in dexseq. As this is needed by
> > various R packages and already installed by fontconfig would it be
> > worth making it a first class dependency of package_r_3_2_1
>
> We could think about this, yes. Although it is not a strict dependency of
> R.
>
> > I also see that in dexseg you specifically say "libxml2 needs to be
> > sourced after R"
> >
> > Is this not because if you source it before R the current
> > <environment_variable action="set_to"
> >
> name="PKG_CONFIG_PATH">$INSTALL_DIR/lib/pkgconfig:$INSTALL_DIR/share/pkgconfig</environment_variable>
> >
>
> Yes, I have fixed this here:
> https://github.com/galaxyproject/tools-iuc/pull/298
>
> Thanks,
> Bjoern
>
> >
> > Christian
> >
> >
> > ________________________________________ From: Björn Grüning
> > [bjoern.gruen...@gmail.com] Sent: Tuesday, October 06, 2015 2:36 PM
> > To: Christian Brenninkmeijer; Björn Grüning;
> > galaxy-dev@lists.galaxyproject.org; Dave Bouvier Subject: Re:
> > [galaxy-dev] Installing Cairo into Gakaxy
> >
> > Hi Christian,
> >
> > what is needed from the TS site? Do you have any changes that are
> > needed in the cairo package or R package?
> >
> > For me everything is now working and the only thing you need to do is
> > to specify the Rcairo tarball in your tool_dependendy file. Like
> > here:
> >
> >
> https://github.com/galaxyproject/tools-iuc/pull/281/files#diff-98f3c4d456a8a7bbd94eca94e167c5b8
> >
> >  Cheers, Bjoern
> >
> > Am 06.10.2015 um 15:21 schrieb Christian Brenninkmeijer:
> >> i finally got Cairo installed into R inside galaxy.
> >>
> >> As well as cairo needing fontconfig to add cairo into R also
> >> requires libmxl2
> >>
> >> I also changed the R install. 1. Never use the zip as it has hard
> >> coded environment variables in it 2. The set_environment variable
> >> in the R install to "prepend_to" PKG_CONFIG_DIR and
> >> PKG_CONFIG_PATH
> >>
> >> I have some examples in the test tool shed test section but I would
> >> like to clean these up first.
> >>
> >> Once done I will post a link in this thread.
> >>
> >> Christian University of Manchester
> >> ________________________________________ From: Björn Grüning
> >> [bjoern.gruen...@gmail.com] Sent: Sunday, September 27, 2015 10:40
> >> PM To: Christian Brenninkmeijer; Bjoern Gruening;
> >> galaxy-dev@lists.galaxyproject.org; Dave Bouvier Subject: Re:
> >> [galaxy-dev] Installing Cairo into Gakaxy
> >>
> >> Hi Christian,
> >>
> >> I think I found the problem and fixed it in the Test Tool Shed. The
> >> root problem was that cairo was not compiled with fontconfig and
> >> therefore the freetype-cairo module was not working properly, which
> >> causes R-Cairo do give us such an unusable error message.
> >>
> >> I tested it with our new DEXSeq wrapper, which also needs Cairo if
> >> you want to create SVGs. Have a look how to define dependencies
> >> here:
> >>
> >>
> https://github.com/galaxyproject/tools-iuc/pull/281/files#diff-98f3c4d456a8a7bbd94eca94e167c5b8
> >>
> >>
> >>
> This PR will also help you to get all needed R packages in the correct
> >> order:
> >>
> >> https://github.com/bioarchive/aRchive_source_code/pull/20
> >>
> >> Keep in mind to mirror your tarballs somewhere. BioC tends to
> >> remove older tarballs.
> >>
> >> Let me know how it goes and I will move everything over into the
> >> Main Tool Shed
> >>
> >> Hope this fixes your issues, Bjoern
> >>
> >>
> >>> Thanks Guys, Help greatly appreciated.
> >>>
> >>> I need this as my team are thinking of using SCDE see
> >>> http://pklab.med.harvard.edu/scde/index.html which uses cairo.
> >>>
> >>> Monday in a bank holiday here so even if you guys are super fast
> >>> I will not be able to test until Tuesday.
> >>>
> >>> Christian University of Manchester
> >>> ________________________________________ From: Bjoern Gruening
> >>> [bjoern.gruen...@gmail.com] Sent: Friday, August 28, 2015 3:19
> >>> PM To: Christian Brenninkmeijer;
> >>> galaxy-dev@lists.galaxyproject.org; Dave Bouvier Subject: Re:
> >>> [galaxy-dev] Installing Cairo into Gakaxy
> >>>
> >>> Hi,
> >>>
> >>> I have CCed Dave here. He took over the maintenance of R many
> >>> moons ago. Dave can it be that we need to include some cairo
> >>> headers, shared objects into the tarball from docker-build?
> >>>
> >>> Thanks, Bjoern
> >>>
> >>> On 28.08.2015 16:16, Christian Brenninkmeijer wrote:
> >>>> Thank you Björn for the link to the new R package which appears
> >>>> to include cairo.
> >>>>
> >>>> However I am still unable to run an R script which imports
> >>>> cairo the following line in an R Script fails library(Cairo)
> >>>>
> >>>> When I try to do a setup_r_enviromnent I am still getting:
> >>>> ..... install_environment.STDOUT DEBUG 2015-08-28 14:47:00,491
> >>>> checking cairo.h usability... no install_environment.STDOUT
> >>>> DEBUG 2015-08-28 14:47:00,506 checking for cairo.h... no
> >>>> checking cairo.h usability... no checking cairo.h presence...
> >>>> no checking for cairo.h... no configure: error: Cannot find
> >>>> cairo.h! Please install cairo (http://www.cairographics.org/)
> >>>> and/or set CAIRO_CFLAGS/LIBS correspondingly. ERROR:
> >>>> configuration failed for package ‘Cairo’
> >>>>
> >>>> This time tested on the testtoolshed so directly using the iuc
> >>>> dependencies so using his env vars
> >>>>
> >>>>
> https://testtoolshed.g2.bx.psu.edu/view/brenninc/test_r_cairo_27aug2015/77f3bd0e4153
> >>>>
> >>>>
> >>>>
> tool_dependency.xml attached.
> >>>>
> >>>> I tried it with a new git clone (Master branch)  from this
> >>>> morning Only setting change tool_config_file,
> >>>> tool_dependency_dir, tools_shed_config_file and admin_users
> >>>>
> >>>> Installing all the required packages manually in the order that
> >>>> required packages installed before the using package. Including
> >>>> Cairo before package_3_2_1
> >>>>
> >>>> On an Ubuntu 14.04.LTS  (updated today) Memory 15.6 GiB
> >>>> Processor Intel Xeon(R) CPU E5-1660 v3 @ 3.00Ghz x 16 OS type
> >>>> 64-bit
> >>>>
> >>>> I also tried it on my laptop also with Ubuntu 14.04.LTS
> >>>>
> >>>> Neither machine has R or Cairo installed natively.
> >>>>
> >>>> Any farther help or suggestions greatly appreciated.
> >>>>
> >>>> Christian University of Manchester
> >>>> ________________________________________ From: Björn Grüning
> >>>> [bjoern.gruen...@gmail.com] Sent: Wednesday, August 26, 2015
> >>>> 7:19 PM To: Christian Brenninkmeijer;
> >>>> galaxy-dev@lists.galaxyproject.org Subject: Re: [galaxy-dev]
> >>>> Installing Cairo into Gakaxy
> >>>>
> >>>> Hi Christian,
> >>>>
> >>>> looking at the R package and on the Docker build instructions,
> >>>> R seems to be installed with cairo support:
> >>>>
> >>>>
> https://github.com/galaxyproject/tools-iuc/blob/master/packages/package_r_3_2_1/tool_dependencies.xml
> >>>>
> >>>>
> https://github.com/natefoo/docker-build/blob/master/R/build.sh
> >>>>
> >>>> Are you using the latest IUC packages? Your script seems to be
> >>>> fine, I can not spot any obvious error. But I don't know how
> >>>> your dependencies are defined and which env vars are exported.
> >>>>
> >>>> Ciao, Bjoern
> >>>>
> >>>> Am 26.08.2015 um 12:18 schrieb Christian Brenninkmeijer:
> >>>>> Still looking for an example tool_dependencies.xml to install
> >>>>> R Cairo package
> >>>>>
> >>>>> Farther update.
> >>>>>
> >>>>> package_cairo_1_12_14 needs to be at the same level as
> >>>>> package_r_3_1_2 inside of setup_r_environment  without the
> >>>>> set_environment_for_install
> >>>>>
> >>>>>
> >>>>> I am no longer getting cairo.h No but am still getting
> >>>>>
> >>>>> checking if R was compiled with the RConn patch... no ...
> >>>>> checking for ATS font support in Cairo... no .... checking
> >>>>> whether Cairo programs can be compiled... ERROR:
> >>>>> configuration failed for package ‘Cairo’
> >>>>>
> >>>>> Again updated tool_dependencies.xml attached
> >>>>>
> >>>>> Thanks
> >>>>>
> >>>>> Christian ________________________________ From: galaxy-dev
> >>>>> [galaxy-dev-boun...@lists.galaxyproject.org] on behalf of
> >>>>> Christian Brenninkmeijer
> >>>>> [christian.brenninkmei...@manchester.ac.uk] Sent: Wednesday,
> >>>>> August 26, 2015 10:18 AM To: galaxy-dev
> >>>>> ‎[galaxy-dev@lists.galaxyproject.org]‎ Subject: [galaxy-dev]
> >>>>> Installing Cairo into Gakaxy
> >>>>>
> >>>>> Hi All,
> >>>>>
> >>>>> Has anyone got a working example tool_dependencies.xml to
> >>>>> install the Cairo package into R. (I actually need a package
> >>>>> that depends on R Cairo but the current issue is Cairo)
> >>>>>
> >>>>> I am having the cairo.h not found issue
> >>>>>
> >>>>> I have cloned
> >>>>>
> https://toolshed.g2.bx.psu.edu/view/devteam/package_cairo_1_12_14/b39299b4b6e1
> >>>>>
> >>>>>
> (and its dependencies)
> >>>>>
> >>>>> As well as
> >>>>> https://toolshed.g2.bx.psu.edu/view/iuc/package_r_3_1_2/9f2fddb9d6e2
> >>>>>
> >>>>>
> >>>>>
> I am trying to use <action type="setup_r_environment">
> >>>>> But can not get the package_cairo to be seen by the R
> >>>>>
> >>>>> I have tried  <action type="set_environment_for_install">
> >>>>> both inside and outside of the setup_r_environment but it
> >>>>> does not appear to be working,
> >>>>>
> >>>>> Full attempted tool_dependencies.xml attached,
> >>>>>
> >>>>> Thanks in advance
> >>>>>
> >>>>>
> >>>>> Christian University of Manchester
> >>>>>
> >>>>>
> >>>>>
> >>>>>
> >>>>>
> >>>>> ___________________________________________________________
> >>>>> Please keep all replies on the list by using "reply all" in
> >>>>> your mail client.  To manage your subscriptions to this and
> >>>>> other Galaxy lists, please use the interface at:
> >>>>> https://lists.galaxyproject.org/
> >>>>>
> >>>>> To search Galaxy mailing lists use the unified search at:
> >>>>> http://galaxyproject.org/search/mailinglists/
> >>>>>
> >>>
> ___________________________________________________________
> Please keep all replies on the list by using "reply all"
> in your mail client.  To manage your subscriptions to this
> and other Galaxy lists, please use the interface at:
>   https://lists.galaxyproject.org/
>
> To search Galaxy mailing lists use the unified search at:
>   http://galaxyproject.org/search/mailinglists/
>
___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:
  https://lists.galaxyproject.org/

To search Galaxy mailing lists use the unified search at:
  http://galaxyproject.org/search/mailinglists/

Reply via email to